###########################
# Navigation standard
###########################
lucene:
  url:   /lucene
  param: { module: home, action: lucene }

index_lucene:
  url:   /lucene/index
  param: { module: home, action: indexLucene }

category_patch:
  url:   /patch/category
  param: { module: home, action: patchCategory }

category_patch_process:
  url:   /patch/category/process
  param: { module: home, action: patchProcessCategory }

home:
  url:   /
  param: { module: home, action: index }

article_zoom:
  url:   /article/zoom/:img
  param: { module: home, action: zoomArticle }

article_perso:
  url:   /article/perso/:id/:indice
  param: { module: home, action: persoArticle, indice: 0 }

article_perso_price_update:
  url:   /article/perso/price/update/
  param: { module: home, action: persoPriceUpdate }

update_filter:
  url:   /liste/filtre/update/:name/:page/:filter_price/:filter_size/:filter_number/:filter
  param: { module: home, action: updateFilter, page: 1, filter_price: 0, filter_size: 0, filter_number: 32, filter: 0 }

category_name:
  url:	/decoration/list/:name
  param: { module: home, action: categoryList}
  
category_list:
  url:   /decoration/list/:name/:page/:filter_price/:filter_size/:filter_number/:filter
  param: { module: home, action: categoryList, page: 1, filter_price: 0, filter_size: 0, filter_number: 32, filter: 0 }

bestseller_list:
  url:   /decoration/bestsellers/list/:name/:page/:filter_price/:filter_size/:filter_number/:filter
  param: { module: home, action: categoryList, name: bestseller, page: 1, filter_price: 0, filter_size: 0, filter_number: 32, filter: 0 }

promotion_list:
  url:   /decoration/promotion/list/:name/:page/:filter_price/:filter_size/:filter_number/:filter
  param: { module: home, action: categoryList, name: promotion, page: 1, filter_price: 0, filter_size: 0, filter_number: 32, filter: 0 }

special_list:
  url:   /decoration/special/list/:name/:page/:filter_price/:filter_size/:filter_number/:filter
  param: { module: home, action: categoryList, name: special, page: 1, filter_price: 0, filter_size: 0, filter_number: 32, filter: 0 }

search_list:
  url:   /decoration/search/list/:name/:page/:filter_price/:filter_size/:filter_number/:filter
  param: { module: home, action: categoryList, name: search, page: 1, filter_price: 0, filter_size: 0, filter_number: 32, filter: 0 }

article_detail:
  url:   /decoration/detail/article/:name/:cat/:page/:filter_price/:filter_size/:filter_number
  param: { module: home, action: detailArticle , cat: 0 }
  
article_name:
  url:   /decoration/detail/article/:name
  param: { module: home, action: detailArticle}

choose_lang:
  url:   /app/lang/:lang
  param: { module: navigation, action: chooseLang }

###########################
# Pages de contenu
###########################
content_saga:
  url:   /saga/publicite
  param: { module: content, action: saga }

content_info:
  url:   /info
  param: { module: content, action: info }

content_contact:
  url:   /contact
  param: { module: content, action: contact }

content_partner:
  url:   /partenaires
  param: { module: content, action: partner }

content_cgv:
  url:   /cgv
  param: { module: content, action: cgv }

content_cgv_popup:
  url:   /cgvpopup
  param: { module: content, action: cgvPopup }

content_credit:
  url:   /credits
  param: { module: content, action: credit }
  
content_site_map:
  url:  /plan_site
  param: { module: content, action: siteMap }
  
content_sites_annuaires:
  url: /sites_annuaires
  param: { module: content, action: siteAnnuaire }
  
api_site_map_xml:
  url: /sitemap.xml
  param: { module: api, action: siteMapXml}
  #requirements:
    #sf_format: (?:xml)

###########################
# Compte
###########################

logout:
  url:   /account/logout
  param: { module: account, action: logout }

connection_light:
  url:   /account/connection
  param: { module: account, action: connectionLight }

creation_light:
  url:   /account/creation
  param: { module: account, action: creationLight }

lost_password:
  url:   /account/lostpassword
  param: { module: account, action: lostPassword }

homeaccount:
  url:   /account/home
  param: { module: account, action: home }

homeaddress:
  url:   /account/address
  param: { module: account, action: homeAddress }

homeorder:
  url:   /account/order
  param: { module: account, action: homeOrder }

orderdetail:
  url:   /account/order/detail/:id
  param: { module: account, action: orderDetail }

orderbill:
  url:   /account/order/bill/:id
  param: { module: account, action: orderBill }

editemail:
  url:   /account/email
  param: { module: account, action: editEmail }

editpassword:
  url:   /account/password
  param: { module: account, action: editPassword }

editinformations:
  url:   /account/informations
  param: { module: account, action: editInformations }

editaddress:
  url:   /account/address/edit/:id
  param: { module: account, action: editAddress, id: 0 }

deleteaddress:
  url:   /account/address/delete/:id
  param: { module: account, action: deleteAddress }

mainaddress:
  url:   /account/address/main/:id
  param: { module: account, action: mainAddress }


###########################
# Processus de commande
###########################

add_to_cart:
  url:   /cart/add/article/:name/:perso/:cat/:page/:filter_price/:filter_size/:filter_number
  param: { module: order, action: addToCart, perso: 0, cat: 0, page: 0, filter_price: 0, filter_size: 0, filter_number: 0 }

delete_from_cart:
  url:   /cart/delete/article/:id/:indice
  param: { module: order, action: deleteFromCart, indice: 0 }

update_my_cart:
  url:   /cart/update
  param: { module: order, action: updateCart }

connection:
  url:   /order/connection
  param: { module: order, action: connection }

creation:
  url:   /order/creation
  param: { module: order, action: creation }

lost_password_order:
  url:   /order/lostpassword
  param: { module: order, action: lostPassword }

editaddress_cart:
  url:   /order/address/edit/:mode/:id
  param: { module: order, action: editAddress, mode: shipping, id: 0 }

change_shipping_method:
  url:   /order/cart/shippingupdate
  param: { module: order, action: changeShippingMethod }

change_reduction_code:
  url:   /order/cart/reductioncode
  param: { module: order, action: changeReductionCode }

payment_ready:
  url:   /order/payment/ready/:mode/:id_command
  param: { module: order, action: paymentReady, mode: 0 }

paypal_ipn:
  url:   /order/payment/paypal/ipn.html
  param: { module: order, action: paypalIpn }

paypal_return:
  url:   /order/cart/paypal/return.html
  param: { module: order, action: myCartFinish }

spplus_return:
  url:   /order/cart/spplus/return.html
  param: { module: order, action: myCartFinish }

spplus_notification:
  url:   /order/cart/spplus/notification.html
  param: { module: order, action: spplusNotification }

systempay_return:
  url:   /order/cart/systempay/return.html
  param: { module: order, action: myCartFinish }

systempay_notification:
  url:   /order/cart/systempay/notification.html
  param: { module: order, action: systempayNotification }

my_cart:
  url:   /cart/:page/:filter_price/:filter_size/:filter_number/:ref
  param: { module: order, action: myCart, page: 0, filter_price: 0, filter_size: 0, filter_number: 0, ref: 1 }

my_cart_address:
  url:   /order/cart/address/:mode
  param: { module: order, action: myCartAddress, mode: shipping }

my_cart_payment:
  url:   /order/cart/payment
  param: { module: order, action: myCartPayment }

my_cart_finish:
  url:   /order/cart/fin
  param: { module: order, action: myCartFinish }

seo_recent:
  url: /articles-recents
  param: { module: seo, action: recent }

seo_category:
  url: /articles/:name
  param: { module: seo, action: category }
  
seo_category_page:
  url: /articles/:name/:page
  param: { module: seo, action: category }

###########################
# default rules
###########################
homepage:
  url:   /
  param: { module: default, action: index }

default_symfony:
  url:   /symfony/:action/*
  param: { module: default }

default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*
